using adas_core.Domain.Models.MongoModels;

namespace adas_core.Application.Repositories.Interfaces;

public interface IConfigPumpsRepository : IMongoRepository<ConfigPumps>
{
    Task<ConfigPumps?> FindById(string id);
    Task<List<ConfigPumps>?> GetAllConfigs();

    Task<ConfigPumps?> UpdateConfig(ConfigPumps config);
    Task<bool> DeleteConfig(ConfigPumps config);
}